Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2AndOperator Class Reference

Represents an 'and' element of the option graph. More...

`#include <Xabsl2BooleanExpression.h>`

Inheritance diagram for Xabsl2AndOperator:

[legend]
Collaboration diagram for Xabsl2AndOperator:

[legend]
List of all members.

## Public Member Functions
| Xabsl2AndOperator ()
| Constructor.
| ~Xabsl2AndOperator ()
| Destructor.
virtual bool | getValue ()
| Evaluates the boolean expression.
void | addOperand (Xabsl2BooleanExpression *operand)
| Adds an operand to the operands array.
## Private Attributes
Xabsl2Array< Xabsl2BooleanExpression * > | operands
| the 2+n operands of the operator

## Detailed Description

Represents an 'and' element of the option graph.

Author:
  Martin Lötzsch

Definition at line 84 of file Xabsl2BooleanExpression.h.

## Constructor & Destructor Documentation

Xabsl2AndOperator::Xabsl2AndOperator | ( |  | ) |

| Constructor. Definition at line 193 of file Xabsl2BooleanExpression.cpp. References Xabsl2Array< Xabsl2BooleanExpression * >::clear(), and operands.

Here is the call graph for this function:

Xabsl2AndOperator::~Xabsl2AndOperator | ( |  | ) |

| Destructor. Deletes the two operands Definition at line 198 of file Xabsl2BooleanExpression.cpp. References Xabsl2Array< Xabsl2BooleanExpression * >::getSize(), and operands.

Here is the call graph for this function:

## Member Function Documentation

bool Xabsl2AndOperator::getValue | ( |  | ) | `[virtual]`

| Evaluates the boolean expression. Implements Xabsl2BooleanExpression. Definition at line 206 of file Xabsl2BooleanExpression.cpp. References Xabsl2Array< Xabsl2BooleanExpression * >::getSize(), and operands.

Here is the call graph for this function:

void Xabsl2AndOperator::addOperand | ( | Xabsl2BooleanExpression * | operand | ) |

| Adds an operand to the operands array. Definition at line 215 of file Xabsl2BooleanExpression.cpp. References Xabsl2Array< Xabsl2BooleanExpression * >::append(), and operands. Referenced by Xabsl2BooleanExpression::create().

Here is the call graph for this function:

## Member Data Documentation

Xabsl2Array<Xabsl2BooleanExpression*> Xabsl2AndOperator::operands`[private]`

| the 2+n operands of the operator Definition at line 101 of file Xabsl2BooleanExpression.h. Referenced by addOperand(), getValue(), Xabsl2AndOperator(), and ~Xabsl2AndOperator().

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.cpp